Loading...
Searching...
No Matches
svn_fs_dirent_t Struct Reference
Filesystem interaction subsystem

The type of a Subversion directory entry. More...

`#include <svn_fs.h>`

## Data Fields

const char * | name
| The name of this directory entry.
const svn_fs_id_t * | id
| The node revision ID it names.
svn_node_kind_t | kind
| The node kind.

## Detailed Description

The type of a Subversion directory entry.

Definition at line 2299 of file svn_fs.h.

## Field Documentation

## id

const svn_fs_id_t* svn_fs_dirent_t::id

The node revision ID it names.

Definition at line 2306 of file svn_fs.h.

## kind

svn_node_kind_t svn_fs_dirent_t::kind

The node kind.

Definition at line 2309 of file svn_fs.h.

## name

const char* svn_fs_dirent_t::name

The name of this directory entry.

Definition at line 2303 of file svn_fs.h.

The documentation for this struct was generated from the following file:

- svn_fs.h